Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class ConfigVariableHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.ConfigVariableHandle

    public class ConfigVariableHandle

extends StructureHandle

Represents the handle of configuration variable. A configuration variable is simply a name/value pair very similar to an environment variable on Unix. Indeed, configuration variables include environment variables, along with other BIRT-specific values.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`ConfigVariableHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of configuration variable.

Method Summary
`java.lang.String` | `getName()` Returns the variable name.
`java.lang.String` | `getValue()` Returns the variable value.
`void` | `setName(java.lang.String name)` Sets the variable name.
`void` | `setValue(java.lang.String value)` Sets the variable value.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigVariableHandle

    public ConfigVariableHandle(SimpleValueHandle valueHandle,
                                int index)

  Constructs the handle of configuration variable.

  Parameters:
    `valueHandle` - the value handle for configuration variable list of one property
    `index` - the position of this configuration variable in the list

Method Detail

### getName

    public java.lang.String getName()

  Returns the variable name.

  Returns:
    the variable name

### setName

    public void setName(java.lang.String name)

  Sets the variable name.

  Parameters:
    `name` - the name to set

### getValue

    public java.lang.String getValue()

  Returns the variable value.

  Returns:
    the variable value

### setValue

    public void setValue(java.lang.String value)

  Sets the variable value.

  Parameters:
    `value` - the value to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.